<?php
/**
 * WCFM plugin view
 *
 * WCFMgs Memberships Settings View
 *
 * @author 		WC Lovers
 * @package 	wcfmvm/view
 * @version   1.0.0
 */
 
global $wp, $WCFM, $WCFMvm;

$wcfm_is_allow_membership = apply_filters( 'wcfm_is_allow_membership', true );
if( !$wcfm_is_allow_membership || !apply_filters( 'wcfm_is_allow_manage_groups', true ) ) {
	wcfm_restriction_message_show( "Memberships" );
	return;
}

$wcfm_membership_payment_methods = get_wcfm_membership_payment_methods();

$wcfm_membership_options = get_option( 'wcfm_membership_options', array() );

$membership_payment_settings = array();
if( isset( $wcfm_membership_options['membership_payment_settings'] ) ) $membership_payment_settings = $wcfm_membership_options['membership_payment_settings'];
$payment_methods = array( 'paypal' );
if( isset( $membership_payment_settings['payment_methods'] ) ) $payment_methods = $membership_payment_settings['payment_methods'];
$paypal_email = isset( $membership_payment_settings['paypal_email'] ) ? $membership_payment_settings['paypal_email'] : '';
$paypal_sandbox = isset( $membership_payment_settings['paypal_sandbox'] ) ? 'yes' : 'no';
$stripe_published_key_live = isset( $membership_payment_settings['stripe_published_key_live'] ) ? $membership_payment_settings['stripe_published_key_live'] : '';
$stripe_secret_key_live = isset( $membership_payment_settings['stripe_secret_key_live'] ) ? $membership_payment_settings['stripe_secret_key_live'] : '';
$stripe_published_key_test = isset( $membership_payment_settings['stripe_published_key_test'] ) ? $membership_payment_settings['stripe_published_key_test'] : '';
$stripe_secret_key_test = isset( $membership_payment_settings['stripe_secret_key_test'] ) ? $membership_payment_settings['stripe_secret_key_test'] : '';
$bank_details = isset( $membership_payment_settings['bank_details'] ) ? $membership_payment_settings['bank_details'] : '';
$payment_terms = isset( $membership_payment_settings['payment_terms'] ) ? $membership_payment_settings['payment_terms'] : '';

$membership_type_settings = array();
if( isset( $wcfm_membership_options['membership_type_settings'] ) ) $membership_type_settings = $wcfm_membership_options['membership_type_settings'];
$free_membership = isset( $membership_type_settings['free_membership'] ) ? $membership_type_settings['free_membership'] : '';
$featured_membership = isset( $membership_type_settings['featured_membership'] ) ? $membership_type_settings['featured_membership'] : '';

$wcfmvm_color_options = array();
if( isset( $wcfm_membership_options['membership_color_settings'] ) ) $wcfmvm_color_options = $wcfm_membership_options['membership_color_settings'];

$membership_visibility_priority = array();
if( isset( $wcfm_membership_options['membership_visibility_priority'] ) ) $membership_visibility_priority = $wcfm_membership_options['membership_visibility_priority'];

$membership_on_cancel = array();
if( isset( $wcfm_membership_options['membership_on_cancel'] ) ) $membership_on_cancel = $wcfm_membership_options['membership_on_cancel'];
$cancel_membership = isset( $membership_on_cancel['cancel_membership'] ) ? $membership_on_cancel['cancel_membership'] : '';

$free_thankyou_content = '';
$free_thankyou_content = get_option( 'wcfm_membership_free_thankyou_content', '' );
if( !$free_thankyou_content ) {
	$free_thankyou_content = "<strong>Welcome,</strong>
														<br /><br />
														You have successfully subscribed to our membership plan. 
														<br /><br />
														Your account already setup and ready to configure.
														<br /><br />
														Kindly follow the below the link to visit your dashboard.
														<br /><br />
														Thank You";
}

$subscription_thankyou_content = '';
$subscription_thankyou_content = get_option( 'wcfm_membership_subscription_thankyou_content', '' );
if( !$subscription_thankyou_content ) {
	$subscription_thankyou_content = "<strong>Welcome,</strong>
																		<br /><br />
																		You have successfully subscribed to our membership plan. 
																		<br /><br />
																		Your account still under processing.
																		<br /><br />
																		You will receive details in mail very soon!
																		<br /><br />
																		Thank You";
}

$subscription_welcome_email_subject = get_option( 'wcfm_membership_subscription_welcome_email_subject', '{site_name}: Successfully Subscribed' );
$subscription_welcome_email_content = get_option( 'wcfm_membership_subscription_welcome_email_content', '' );
if( !$subscription_welcome_email_content ) {
	$subscription_welcome_email_content = "Dear {first_name},
																<br /><br />
																You have successfully subscribed to our membership plan. 
																<br /><br />
																Your account already setup and ready to configure.
																<br /><br />
																Kindly follow the below the link to visit your dashboard.
																<br /><br />
																Dashboard: {dashboard_url} 
																<br /><br />
																Thank You";
}

$subscription_admin_notication_subject = get_option( 'wcfm_membership_subscription_admin_notication_subject', '{site_name}: A new vendor registered' );
$subscription_admin_notication_content = get_option( 'wcfm_membership_subscription_admin_notication_content', '' );
if( !$subscription_admin_notication_content ) {
	$subscription_admin_notication_content = "Dear Admin,
																						<br /><br />
																						A new vendor <b>{vendor_name}</b> (Store: <b>{vendor_store}</b>) successfully subscribed to our membership plan <b>{membership_plan}</b>. 
																						<br /><br />
																						Kindly follow the below the link to more details.
																						<br /><br />
																						Dashboard: {vendor_url} 
																						<br /><br />
																						Thank You";
}

$onapproval_admin_notication_subject = get_option( 'wcfm_membership_onapproval_admin_notication_subject', '{site_name}: A vendor application waiting for approval' );
$onapproval_admin_notication_content = get_option( 'wcfm_membership_onapproval_admin_notication_content', '' );
if( !$onapproval_admin_notication_content ) {
	$onapproval_admin_notication_content = "Dear Admin,
																					<br /><br />
																					A new vendor <b>{vendor_name}</b> (Store: <b>{vendor_store}</b>) has just applied to our membership plan <b>{membership_plan}</b>. 
																					<br /><br />
																					Kindly follow the below the link to approve/reject the application.
																					<br /><br />
																					Application: {notification_url} 
																					<br /><br />
																					Thank You";
}

$membership_feature_lists = array();
if( isset( $wcfm_membership_options['membership_features'] ) ) $membership_feature_lists = $wcfm_membership_options['membership_features'];

$wcfm_memberships_list = get_wcfm_memberships();
$wcfm_memberships_array = array( '' => __( '- Choose Membership -', 'wc-multivendor-membership' ) );
if( !empty( $wcfm_memberships_list ) ) {
	foreach( $wcfm_memberships_list as $wcfm_membership_list ) {
		$wcfm_memberships_array[$wcfm_membership_list->ID] = $wcfm_membership_list->post_title;
	}
}

$wcfmvm_registration_static_fields = get_option( 'wcfmvm_registration_static_fields', array() );
$enable_address = isset( $wcfmvm_registration_static_fields['address'] ) ? 'yes' : '';

$field_types = apply_filters( 'wcfm_product_custom_filed_types', array( 'text' => 'Text', 'number' => 'Number', 'textarea' => 'textarea', 'datepicker' => 'Date Picker', 'timepicker' => 'Time Picker', 'checkbox' => 'Check Box', 'select' => 'Select' ) ); //, 'upload' => 'File/Image' ) );
$wcfmvm_registration_custom_fields = get_option( 'wcfmvm_registration_custom_fields', array() );

do_action( 'before_wcfm_membership_settings_manage' );

?>

<div class="collapse wcfm-collapse">
  <div class="wcfm-page-headig">
		<span class="fa fa-cogs"></span>
		<span class="wcfm-page-heading-text"><?php _e( 'Membership Settings', 'wc-multivendor-membership' ); ?></span>
		<?php do_action( 'wcfm_page_heading' ); ?>
	</div>
	<div class="wcfm-collapse-content">
	  <div id="wcfm_page_load"></div>
	  
	  <div class="wcfm-container wcfm-top-element-container">
	    <h2><?php _e('Membership General Options', 'wc-multivendor-membership' ); ?></h2>
			
			<?php
			echo '<a class="add_new_wcfm_ele_dashboard text_tip" href="'.get_wcfm_memberships_url().'" data-tip="' . __('Memberships', 'wc-multivendor-membership') . '"><span class="fa fa-user-plus"></span><span class="text">' . __( 'Memberships', 'wc-multivendor-membership') . '</span></a>';
			if( $has_new = apply_filters( 'wcfm_add_new_membership_sub_menu', true ) ) {
				echo '<a class="add_new_wcfm_ele_dashboard text_tip" href="'.get_wcfm_memberships_manage_url().'" data-tip="' . __('Add New Membership', 'wc-multivendor-membership') . '"><span class="fa fa-user-plus"></span></a>';
			}
			echo '<a class="add_new_wcfm_ele_dashboard text_tip" target="_blank" href="'.get_wcfm_membership_url().'" data-tip="' . __('Membership Plan Table', 'wc-multivendor-membership') . '"><span class="fa fa-eye"></span></a>';
			?>
			<div class="wcfm-clearfix"></div>
		</div>
	  <div class="wcfm-clearfix"></div><br />
	  
	  <?php do_action( 'begin_wcfm_membership_settings' ); ?>
	  
		<form id="wcfm_membership_settings_form" class="wcfm">
		
			<?php do_action( 'begin_wcfm_membership_settings_form' ); ?>
			
			<div class="wcfm-tabWrap">
				<!-- collapsible -->
				<div class="page_collapsible" id="membership_settings_form_payment_head">
					<label class="fa fa-money"></label>
					<?php _e('Payment', 'wc-frontend-manager'); ?><span></span>
				</div>
				<div class="wcfm-container">
					<div id="membership_settings_form_payment_expander" class="wcfm-content">
						<?php
							$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'membership_setting_payment_fields', array(  
																																					'payment_methods' => array( 'label' => __( 'Payment Methods', 'wc-multivendor-membership' ), 'name' => 'membership_payment_settings[payment_methods]', 'type' => 'checklist', 'class' => 'wcfm-checkbox wcfm_ele', 'label_class' => 'wcfm_title checkbox_title', 'options' => $wcfm_membership_payment_methods, 'value' => $payment_methods  ),
																																					'paypal_sandbox' => array( 'label' => __( 'Enable Sandbox', 'wc-multivendor-membership' ), 'name' => 'membership_payment_settings[paypal_sandbox]', 'type' => 'checkbox', 'class' => 'wcfm-checkbox wcfm_ele', 'label_class' => 'wcfm_title checkbox_title', 'value' => 'yes', 'dfvalue' => $paypal_sandbox ),
																																					'paypal_email' => array( 'label' => __( 'PayPal Email', 'wc-multivendor-membership' ), 'name' => 'membership_payment_settings[paypal_email]', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $paypal_email ),
																																					'stripe_published_key_live' => array( 'label' => __( 'Live Publishable Key', 'wc-multivendor-membership' ), 'name' => 'membership_payment_settings[stripe_published_key_live]', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $stripe_published_key_live ),
																																					'stripe_secret_key_live' => array( 'label' => __( 'Live Secret Key', 'wc-multivendor-membership' ), 'name' => 'membership_payment_settings[stripe_secret_key_live]', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $stripe_secret_key_live ),
																																					'stripe_published_key_test' => array( 'label' => __( 'Test Publishable Key', 'wc-multivendor-membership' ), 'name' => 'membership_payment_settings[stripe_published_key_test]', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $stripe_published_key_test ),
																																					'stripe_secret_key_test' => array( 'label' => __( 'Test Secret Key', 'wc-multivendor-membership' ), 'name' => 'membership_payment_settings[stripe_secret_key_test]', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $stripe_secret_key_test ),
																																					'bank_details' => array( 'label' => __( 'Bank Details', 'wc-multivendor-membership' ), 'name' => 'membership_payment_settings[bank_details]', 'type' => 'textarea', 'class' => 'wcfm-textarea wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $bank_details ),
																																					'payment_terms' => array( 'label' => __( 'Payment Terms', 'wc-multivendor-membership' ), 'name' => 'membership_payment_settings[payment_terms]', 'type' => 'textarea', 'class' => 'wcfm-textarea wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $payment_terms ),
																																					) ) );
						?>
					</div>
				</div>
				<div class="wcfm_clearfix"></div>
				<!-- end collapsible -->
			
			  <!-- collapsible -->
				<div class="page_collapsible" id="membership_settings_features_head">
					<label class="fa fa-diamond"></label>
					<?php _e('Features', 'wc-multivendor-membership'); ?>
				</div> 
				<div class="wcfm-container">
					<div id="membership_settings_features_expander" class="wcfm-content">
						<?php
							$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'membership_setting_features_fields', array(  
																																															"membership_features" => array( 'label' => __( 'Features List', 'wc-multivendor-membership' ), 'type' => 'multiinput', 'value' => $membership_feature_lists, 'options' => array(
																																																'feature' => array( 'label' => __( 'Feature', 'wc-multivendor-membership' ), 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title'  )
																																					) ) ) ) );
						?>
					</div>
				</div>
				<div class="wcfm_clearfix"></div>
				<!-- end collapsible -->
				
				<!-- collapsible -->
				<div class="page_collapsible" id="membership_settings_form_style_head">
					<label class="fa fa-image"></label>
					<?php _e('Style', 'wc-frontend-manager'); ?><span></span>
				</div>
				<div class="wcfm-container">
					<div id="membership_settings_form_style_expander" class="wcfm-content">
					  <h2><?php _e( 'Membership plan display page styling', 'wc-multivendor-membership' ); ?></h2>
					  <div class="wcfm_clearfix"></div>
						<?php
							$color_options = $WCFMvm->wcfmvm_membership_color_setting_options();
							$color_options_array = array();
			
							foreach( $color_options as $color_option_key => $color_option ) {
								$color_options_array[$color_option['name']] = array( 'label' => $color_option['label'] , 'name' => 'membership_color_settings['.$color_option['name'].']', 'type' => 'colorpicker', 'class' => 'wcfm-text wcfm_ele colorpicker', 'label_class' => 'wcfm_title wcfm_ele', 'value' => ( isset($wcfmvm_color_options[$color_option['name']]) ) ? $wcfmvm_color_options[$color_option['name']] : $color_option['default'] );
							}
							$WCFM->wcfm_fields->wcfm_generate_form_field( $color_options_array );
						?>
						<div class="wcfm_clearfix"></div>
						<input type="submit" name="reset-color-settings" value="<?php _e( 'Reset to Default', 'wc-frontend-manager' ); ?>" id="wcfmvm_color_setting_reset_button" class="wcfm_submit_button" />
						<div class="wcfm_clearfix"></div>
					</div>
				</div>
				<div class="wcfm_clearfix"></div>
				<!-- end collapsible -->
				
				<!-- collapsible -->
				<div class="page_collapsible" id="membership_settings_form_visibility_head">
					<label class="fa fa-list-ol"></label>
					<?php _e('Visibility', 'wc-frontend-manager'); ?><span></span>
				</div>
				<div class="wcfm-container">
					<div id="membership_settings_form_visibility_expander" class="wcfm-content">
					  <?php
					  	$WCFM->wcfm_fields->wcfm_generate_form_field( array(
					  																											'free_membership' => array( 'label' => __( 'Free Membership', 'wc-multivendor-membership' ), 'name' => 'membership_type_settings[free_membership]', 'type' => 'select', 'options' => $wcfm_memberships_array, 'class' => 'wcfm-select wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $free_membership ),
																																	'featured_membership' => array( 'label' => __( 'Featured Membership', 'wc-multivendor-membership' ), 'name' => 'membership_type_settings[featured_membership]', 'type' => 'select', 'options' => $wcfm_memberships_array, 'class' => 'wcfm-select wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $featured_membership )
																																	) );
					  ?>
					  <h2><?php _e( 'Membership plan display visibility priority (Left to Right)', 'wc-multivendor-membership' ); ?></h2>
					  <div class="wcfm_clearfix"></div>
						<?php
							if( !empty( $wcfm_memberships_list ) ) {
								$counter = 1;
								foreach( $wcfm_memberships_list as $wcfm_membership_list ) {
									$priority_membership = 0;
									if( !empty( $membership_visibility_priority ) && isset( $membership_visibility_priority[$counter] ) ) $priority_membership = $membership_visibility_priority[$counter];
									$WCFM->wcfm_fields->wcfm_generate_form_field( array(  
																																			'priority_'.$counter => array( 'label' => __( 'Priority', 'wc-multivendor-membership' ) .' ' . $counter, 'name' => 'membership_visibility_priority[' . $counter . ']', 'type' => 'select', 'options' => $wcfm_memberships_array, 'class' => 'wcfm-select wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $priority_membership ),
																																) );
									$counter++;
								}
							} else {
								_e( 'Please define some membership level first.', 'wc-multivendor-membership' );
							}
						?>
						<div class="wcfm_clearfix"></div>
					</div>
				</div>
				<div class="wcfm_clearfix"></div>
				<!-- end collapsible -->
				
				<!-- collapsible -->
				<div class="page_collapsible" id="membership_settings_form_cancellation_head">
					<label class="fa fa-times-circle-o"></label>
					<?php _e('Cancellation', 'wc-frontend-manager'); ?><span></span>
				</div>
				<div class="wcfm-container">
					<div id="membership_settings_form_cancellation_expander" class="wcfm-content">
					  <?php
					  	$WCFM->wcfm_fields->wcfm_generate_form_field( array(
					  																											'cancel_membership' => array( 'label' => __( 'Membership on Cancel', 'wc-multivendor-membership' ), 'name' => 'membership_on_cancel[cancel_membership]', 'type' => 'select', 'options' => $wcfm_memberships_array, 'class' => 'wcfm-select wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $cancel_membership, 'hints' => __( 'This membership will be assigned to vendors if they cancel recurring subscription anytime.', 'wc-multivendor-membership' ) ),
																																	) );
					  ?>
					  <div class="wcfm_clearfix"></div>
					</div>
				</div>
				<div class="wcfm_clearfix"></div>
				<!-- end collapsible -->
				
				<!-- collapsible -->
				<div class="page_collapsible" id="membership_settings_form_thankyou_head">
					<label class="fa fa-thumbs-o-up"></label>
					<?php _e('Thank You', 'wc-multivendor-membership'); ?><span></span>
				</div>
				<div class="wcfm-container">
					<div id="membership_settings_form_thankyou_expander" class="wcfm-content">
					  <div class="wcfm_clearfix"></div>
						<?php
							$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'membership_setting_thankyou_fields', array(  
																																				//'thankyou_title' => array( 'label' => __( 'Thank You page title', 'wc-multivendor-membership' ), 'name' => 'thankyou_content[title]', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $thankyou_title ),
																																				'free_thankyou_content' => array( 'label' => __( 'Free Membership Thank You page content', 'wc-multivendor-membership' ), 'type' => 'textarea', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title wcfm_full_ele_title', 'value' => $free_thankyou_content, 'hints' => __( 'This content will be visible when user subscribe to FREE plan.', 'wc-multivendor-membership' ), 'desc' => __( 'Please don\'t include Dashboard URL, it will be automatically append with the content.', 'wc-multivendor-membership' ) ),
																																				'subscription_thankyou_content' => array( 'label' => __( 'Subscription membership Thank You page content', 'wc-multivendor-membership' ), 'type' => 'textarea', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title wcfm_full_ele_title', 'value' => $subscription_thankyou_content, 'hints' => __( 'This content will be visible when user pay via PayPal.', 'wc-multivendor-membership' ) )
																																				) ) );
						?>
						<div class="wcfm_clearfix"></div>
					</div>
				</div>
				<div class="wcfm_clearfix"></div>
				<!-- end collapsible -->
				
				<!-- collapsible -->
				<div class="page_collapsible" id="membership_settings_form_thankyou_head">
					<label class="fa fa-envelope-o"></label>
					<?php _e('Welcome Email', 'wc-multivendor-membership'); ?><span></span>
				</div>
				<div class="wcfm-container">
					<div id="membership_settings_form_thankyou_expander" class="wcfm-content">
					  <div class="wcfm_clearfix"></div>
						<?php
							$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'membership_setting_welcome_email_fields', array(  
																																				'subscription_welcome_email_subject' => array( 'label' => __( 'Welcome Email Subject', 'wc-multivendor-membership' ), 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $subscription_welcome_email_subject ),
																																				'subscription_welcome_email_content' => array( 'label' => __( 'Welcome Email content', 'wc-multivendor-membership' ), 'type' => 'textarea', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title wcfm_full_ele_title', 'value' => $subscription_welcome_email_content )
																																				) ) );
						?>
						<div class="wcfm_clearfix"></div>
					</div>
				</div>
				<div class="wcfm_clearfix"></div>
				<!-- end collapsible -->
				
				<!-- collapsible -->
				<div class="page_collapsible" id="membership_settings_form_admin_notication_head">
					<label class="fa fa-bell-o"></label>
					<?php _e('Admin Notification', 'wc-multivendor-membership'); ?><span></span>
				</div>
				<div class="wcfm-container">
					<div id="membership_settings_form_admin_notication_expander" class="wcfm-content">
					  <div class="wcfm_clearfix"></div>
						<?php
							$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'membership_setting_admin_notication_fields', array(  
																																				'subscription_admin_notication_subject' => array( 'label' => __( 'New Subscription Notification Subject', 'wc-multivendor-membership' ), 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $subscription_admin_notication_subject ),
																																				'subscription_admin_notication_content' => array( 'label' => __( 'New Subscription Notification content', 'wc-multivendor-membership' ), 'type' => 'textarea', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title wcfm_full_ele_title', 'value' => $subscription_admin_notication_content ),
																																				'onapproval_admin_notication_subject' => array( 'label' => __( 'Subscription Approval Notification Subject', 'wc-multivendor-membership' ), 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'attributes' => array( 'style' => 'margin-top: 15px;' ), 'value' => $onapproval_admin_notication_subject ),
																																				'onapproval_admin_notication_content' => array( 'label' => __( 'Subscription Approval Notification content', 'wc-multivendor-membership' ), 'type' => 'textarea', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title wcfm_full_ele_title', 'value' => $onapproval_admin_notication_content )
																																				) ) );
						?>
						<div class="wcfm_clearfix"></div>
					</div>
				</div>
				<div class="wcfm_clearfix"></div>
				<!-- end collapsible -->
				
				<!-- collapsible - 1.0.5 -->
				<div class="page_collapsible" id="membership_settings_form_custom_field_head">
					<label class="fa fa-superpowers"></label>
					<?php _e('Registration Fields', 'wc-multivendor-membership'); ?><span></span>
				</div>
				<div class="wcfm-container">
					<div id="wcfm_settings_form_custom_field_expander" class="wcfm-content">
					  <h2><?php _e( 'Registration Form Fields', 'wc-multivendor-membership' ); ?></h2>
					  <div class="wcfm_clearfix"></div>
						<?php
						$pages = get_pages(); 
						$pages_array = array( '' => __( '-- Choose Terms Page --', 'wc-multivendor-membership' ) );
						$woocommerce_pages = array ( wc_get_page_id('shop'), wc_get_page_id('cart'), wc_get_page_id('checkout'), wc_get_page_id('myaccount'));
						foreach ( $pages as $page ) {
							if(!in_array($page->ID, $woocommerce_pages)) {
								$pages_array[$page->ID] = $page->post_title;
							}
						}
						$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'wcfmvm_registration_static_fields', array(
							                                                                                                    "address"     => array( 'label' => __( 'Store Address', 'wc-frontend-manager' ), 'type' => 'checkbox', 'name' => 'wcfmvm_registration_static_fields[address]', 'class' => 'wcfm-checkbox wcfm_ele', 'label_class' => 'wcfm_title checkbox-title', 'value' => 'yes', 'dfvalue' => isset( $wcfmvm_registration_static_fields['address'] ) ? 'yes' : '' ),
							                                                                                                    "phone"     => array( 'label' => __( 'Store Phone', 'wc-frontend-manager' ), 'type' => 'checkbox', 'name' => 'wcfmvm_registration_static_fields[phone]', 'class' => 'wcfm-checkbox wcfm_ele', 'label_class' => 'wcfm_title checkbox-title', 'value' => 'yes', 'dfvalue' => isset( $wcfmvm_registration_static_fields['phone'] ) ? 'yes' : '' ),
							                                                                                                    "terms"       => array( 'label' => __( 'Terms & Conditions', 'wc-frontend-manager' ), 'type' => 'checkbox', 'name' => 'wcfmvm_registration_static_fields[terms]', 'class' => 'wcfm-checkbox wcfm_ele', 'label_class' => 'wcfm_title checkbox-title', 'value' => 'yes', 'dfvalue' => isset( $wcfmvm_registration_static_fields['terms'] ) ? 'yes' : '' ),
							                                                                                                    "terms_page"  => array( 'label' => __( 'Terms Page', 'wc-frontend-manager' ), 'type' => 'select', 'name' => 'wcfmvm_registration_static_fields[terms_page]', 'options' => $pages_array, 'class' => 'wcfm-select wcfm_ele terms_page_ele', 'label_class' => 'wcfm_title terms_page_ele', 'value' => isset( $wcfmvm_registration_static_fields['terms_page'] ) ? $wcfmvm_registration_static_fields['terms_page'] : '' )
							                                                                                                    )
							  																												) );
						
						$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'wcfm_membership_registration_custom_fields', array(
																																																"wcfmvm_registration_custom_fields" => array('label' => __( 'Registration Form Custom Fields', 'wc-multivendor-membership'), 'type' => 'multiinput', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $wcfmvm_registration_custom_fields, 'options' => array(
																																																								"enable"   => array('label' => __('Enable', 'wc-frontend-manager'), 'type' => 'checkbox', 'class' => 'wcfm-checkbox wcfm_ele', 'label_class' => 'wcfm_title checkbox-title', 'value' => 'yes'),
																																																								"type" => array( 'label' => __('Field Type', 'wc-frontend-manager'), 'type' => 'select', 'options' => $field_types, 'class' => 'wcfm-select wcfm_ele field_type_options', 'label_class' => 'wcfm_title'),           
																																																								"label" => array( 'label' => __('Label', 'wc-frontend-manager'), 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title'),
																																																								"options" => array( 'label' => __('Options', 'wc-frontend-manager'), 'type' => 'text', 'class' => 'wcfm-text wcfm_ele field_type_select_options', 'label_class' => 'wcfm_title field_type_select_options', 'placeholder' => __( 'Insert option values | separated', 'wc-frontend-manager' ) ),
																																																								"help_text" => array( 'label' => __('Help Content', 'wc-frontend-manager'), 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title' ),
																																																								"required" => array( 'label' => __('Required?', 'wc-frontend-manager'), 'type' => 'checkbox', 'class' => 'wcfm-checkbox wcfm_ele', 'label_class' => 'wcfm_title checkbox_title', 'value' => 'yes' ),
																																																	) )
																																													) ) );
						?>
					</div>
				</div>
				<div class="wcfm_clearfix"></div>
				<!-- end collapsible -->
				
				<?php do_action( 'end_wcfm_membership_settings_form' ); ?>
			</div>
			
			<div id="wcfm_membership_setting_manager_submit" class="wcfm_form_simple_submit_wrapper">
			  <div class="wcfm-message" tabindex="-1"></div>
			  
				<input type="submit" name="membership_setting-manager-data" value="<?php _e( 'Submit', 'wc-frontend-manager' ); ?>" id="wcfm_membership_setting_submit_button" class="wcfm_submit_button" />
			</div>
			<?php
			do_action( 'after_wcfm_membership_settings' );
			?>
		</form>
	</div>
</div>